Get job details
curl --request GET \
--url https://gateway.app.clavata.ai:8443/v1/jobs/{jobUuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.app.clavata.ai:8443/v1/jobs/{jobUuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.app.clavata.ai:8443/v1/jobs/{jobUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job": {
"jobUuid": "<string>",
"customerId": "<string>",
"status": "JOB_STATUS_UNSPECIFIED",
"contentData": [
{
"contentHash": "<string>",
"metadata": {}
}
],
"results": [
{
"jobUuid": "<string>",
"report": {
"policyId": "<string>",
"policyKey": "<string>",
"policyVersionId": "<string>",
"result": "OUTCOME_UNSPECIFIED",
"sectionEvaluationReports": [
{
"name": "<string>",
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"exceptionEvaluationReport": {
"result": "OUTCOME_UNSPECIFIED",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
},
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
}
],
"exceptionEvaluationReport": {
"result": "OUTCOME_UNSPECIFIED",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
},
"contentHash": "<string>",
"contentMetadata": {},
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
},
"threshold": 123,
"labelMatches": {},
"tokenUsage": {
"inputTokens": 123,
"billedTokens": 123,
"multiplier": 123
},
"labelId": "<string>",
"labelVersionId": "<string>"
},
"created": "2023-11-07T05:31:56Z"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"completed": "2023-11-07T05:31:56Z",
"policyId": "<string>",
"policyVersionId": "<string>",
"threshold": 123,
"labelId": "<string>",
"labelVersionId": "<string>",
"jobType": "JOB_TYPE_UNSPECIFIED"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"type": "PRECHECK_FAILURE_TYPE_UNSPECIFIED",
"message": "<string>",
"details": "<unknown>",
"matchConfidence": "PRECHECK_MATCH_CONFIDENCE_UNSPECIFIED"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Get Jobs
Get job details
Retrieves details of a specific job, including evaluation results if the job is complete.
GET
/
v1
/
jobs
/
{jobUuid}
Get job details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
jobId is the unique identifier of the job
Response
A successful response.
A unique evaluation job that has compared a policy to one or more pieces of content
Show child attributes
Show child attributes
Was this page helpful?
⌘I